Results 1 to 14 of 14
  1. #1

    * how to install memcached into cpanel

    when i trying to install memcached its showing error how to fix this

    Code:
    [email protected] [~]# yum install memcached
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * addons: mirror.denit.net
     * base: mirror.denit.net
     * epel: mirrors.nl.eu.kernel.org
     * extras: mirror.denit.net
     * rpmforge: ftp-stud.fht-esslingen.de
     * updates: mirror.denit.net
    Excluding Packages in global exclude list
    Finished
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package memcached.i386 0:1.4.5-1.el5.rf set to be updated
    --> Processing Dependency: perl(AnyEvent) for package: memcached
    --> Processing Dependency: perl(AnyEvent::Socket) for package: memcached
    --> Processing Dependency: perl(AnyEvent::Handle) for package: memcached
    --> Processing Dependency: libevent-1.1a.so.1 for package: memcached
    --> Processing Dependency: perl(YAML) for package: memcached
    --> Processing Dependency: perl(Term::ReadKey) for package: memcached
    --> Running transaction check
    ---> Package compat-libevent-11a.i386 0:3.2.1-1.el5.rf set to be updated
    ---> Package memcached.i386 0:1.4.5-1.el5.rf set to be updated
    --> Processing Dependency: perl(AnyEvent) for package: memcached
    --> Processing Dependency: perl(AnyEvent::Socket) for package: memcached
    --> Processing Dependency: perl(AnyEvent::Handle) for package: memcached
    --> Processing Dependency: perl(YAML) for package: memcached
    --> Processing Dependency: perl(Term::ReadKey) for package: memcached
    --> Finished Dependency Resolution
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
      --> Missing Dependency: perl(YAML) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
      --> Missing Dependency: perl(Term::ReadKey) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
      --> Missing Dependency: perl(AnyEvent::Socket) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
      --> Missing Dependency: perl(AnyEvent::Handle) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
      --> Missing Dependency: perl(AnyEvent) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    Error: Missing Dependency: perl(Term::ReadKey) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    Error: Missing Dependency: perl(AnyEvent) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    Error: Missing Dependency: perl(YAML) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    Error: Missing Dependency: perl(AnyEvent::Handle) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    Error: Missing Dependency: perl(AnyEvent::Socket) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
     You could try using --skip-broken to work around the problem
     You could try running: package-cleanup --problems
                            package-cleanup --dupes
                            rpm -Va --nofiles --nodigest

  2. #2
    Try "yum install perl" first, or compile perl, then install.

    It gives you suggestions, have you tried them?

  3. #3
    this error i am getting
    [[email protected] home]# yum install perl
    Loaded plugins: fastestmirror
    Traceback (most recent call last):
    File "/usr/bin/yum", line 29, in ?
    yummain.user_main(sys.argv[1:], exit_code=True)
    File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
    File "/usr/share/yum-cli/yummain.py", line 166, in main
    base.doLock()
    File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 1135, in doLock
    while not self._lock(lockfile, mypid, 0644):
    File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 1188, in _lock
    if not msg.errno == errno.EEXIST: raise msg
    OSError: [Errno 122] Disk quota exceeded: '/var/run/yum.pid'

  4. #4
    Join Date
    Oct 2004
    Location
    LA, CA
    Posts
    1,059
    OSError: [Errno 122] Disk quota exceeded: '/var/run/yum.pid'
    According to the error, you don't have enough space.

  5. #5
    Join Date
    Mar 2009
    Location
    Austin, TX
    Posts
    934
    Please post output from following commands.

    Code:
    df -hi
    Code:
    df -h
    Code:
    quota -v
    SysAdmin.xyz
    Having severs with customer data on it without proper monitoring is like having one night stand without using protections - eventually, there will be an 'oh s**t!' moment.

  6. #6
    150gb vps space only 3gb used showing in vps panel
    bought vps from volumedrive

  7. #7
    I found a nice how-to on installing memcached with cPanel, see if it helps :

    http://mrphp.com.au/code/install-mem...running-centos
    CloudVPS
    Affordable VPS Servers - Middle East
    High performance | Green technologies

  8. #8
    I suppose you could just use EasyApache in WebHostManager.

  9. #9
    Your cpannel is lying - call your host. I'd trust the terminal results over what CPannel says - maybe your host is out of disk space?

  10. #10
    [email protected] [~]# yum install --skip-broken memcached
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * addons: mirror.batblue.com
    * base: mirror.batblue.com
    * extras: mirror.trouble-free.net
    * rpmforge: apt.sw.be
    * updates: mirror.trouble-free.net
    Excluding Packages in global exclude list
    Finished
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package memcached.i386 0:1.4.5-1.el5.rf set to be updated
    --> Processing Dependency: perl(AnyEvent) for package: memcached
    --> Processing Dependency: perl(AnyEvent:ocket) for package: memcached
    --> Processing Dependency: perl(AnyEvent::Handle) for package: memcached
    --> Processing Dependency: libevent-1.1a.so.1 for package: memcached
    --> Processing Dependency: perl(YAML) for package: memcached
    --> Processing Dependency: perl(Term::ReadKey) for package: memcached
    --> Running transaction check
    ---> Package compat-libevent-11a.i386 0:3.2.1-1.el5.rf set to be updated
    ---> Package memcached.i386 0:1.4.5-1.el5.rf set to be updated
    --> Processing Dependency: perl(AnyEvent) for package: memcached
    --> Processing Dependency: perl(AnyEvent:ocket) for package: memcached
    --> Processing Dependency: perl(AnyEvent::Handle) for package: memcached
    --> Processing Dependency: perl(YAML) for package: memcached
    --> Processing Dependency: perl(Term::ReadKey) for package: memcached
    --> Finished Dependency Resolution
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
    --> Missing Dependency: perl(YAML) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
    --> Missing Dependency: perl(Term::ReadKey) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
    --> Missing Dependency: perl(AnyEvent:ocket) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
    --> Missing Dependency: perl(AnyEvent::Handle) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)
    memcached-1.4.5-1.el5.rf.i386 from rpmforge has depsolving problems
    --> Missing Dependency: perl(AnyEvent) is needed by package memcached-1.4.5-1.el5.rf.i386 (rpmforge)

    Packages skipped because of dependency problems:
    compat-libevent-11a-3.2.1-1.el5.rf.i386 from rpmforge
    memcached-1.4.5-1.el5.rf.i386 from rpmforge
    now facing this problem

  11. #11
    i fixed it

  12. #12
    Join Date
    Apr 2009
    Location
    inside wht
    Posts
    716
    If you still need help , have a look into this article
    24x7 PRO-ACTIVE SERVER MANAGEMENT | OUTSOURCED WEB HOSTING SUPPORT
    Now Available The first Support Brand for Startup Hosting Companies

    Sales : sales @ syslint.com | Skype us : SyslintSkype | Call us : (+91)6007799

  13. #13
    haha i follow this instruction for my installation coz yum broken anyway thanks
    but i have one question how to active for wordpress i dnt see any plugin for wordpress 3.1

  14. #14
    Join Date
    Jun 2003
    Location
    California
    Posts
    2,766
    Quote Originally Posted by onel0ve View Post
    haha i follow this instruction for my installation coz yum broken anyway thanks
    but i have one question how to active for wordpress i dnt see any plugin for wordpress 3.1
    The plug in "W3 Total Cache" will utilize memcache (and other cache available).

Similar Threads

  1. Uninstall memcached
    By hostyourdream in forum Hosting Software and Control Panels
    Replies: 0
    Last Post: 11-12-2010, 01:15 PM
  2. memcached
    By kndsb1972 in forum Hosting Security and Technology
    Replies: 5
    Last Post: 07-19-2008, 03:04 PM
  3. Memcached and wordpress
    By architect8 in forum Hosting Security and Technology
    Replies: 0
    Last Post: 03-28-2008, 12:11 PM
  4. memcached
    By linktome in forum Hosting Security and Technology
    Replies: 5
    Last Post: 08-17-2007, 10:38 AM
  5. Anyone have installed memcached before ?
    By justbenice in forum Hosting Security and Technology
    Replies: 3
    Last Post: 02-11-2006, 05:34 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •